%define major 0
%define libname %mklibname %{name}_ %{major}
%define develname %mklibname %{name} -d

Summary:	Encoder and decoder of the ITU G.729 Annex A/B speech codec
Name:		bcg729
Version:	1.1.1
Release:	%mkrel 3
License:	GPLv2+
Group:		System/Libraries
URL:		https://linphone.org/
Source0:	https://github.com/BelledonneCommunications/bcg729/archive/%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-Update-CMakeLists.txt-so-that-the-project-can-be-add.patch
Patch2:		0002-Improve-CMake-package-config-and-find_package-script.patch
Patch3:		0003-No-longer-use-CMAKE_BUILD_TYPE-to-allow-configuratio.patch
# (wally) from OpenSUSE to install pkgconfig .pc file
Patch100:	bcg729-fix-pkgconfig.patch
# (wally) fix cmake config file location
Patch101:	bcg729-cmake-config-location.patch
BuildRequires:	cmake

%description
Bcg729 is an implementation of both encoder and decoder of the ITU G.729
Annex A/B speech codec.

It supports concurrent channels encoding/decoding for multi call application
such as conferencing,

%package -n	%{libname}
Summary:	Encoder and decoder of the ITU G.729 Annex A/B speech codec
Group:		System/Libraries

%description -n	%{libname}
Bcg729 is an implementation of both encoder and decoder of the ITU G.729
Annex A/B speech codec.

It supports concurrent channels encoding/decoding for multi call application
such as conferencing.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains development files for %{name}

%prep
%autosetup -p1

%build
%cmake \
  -DENABLE_STATIC:BOOL=NO \
  -DENABLE_STRICT:BOOL=NO
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license LICENSE.txt
%doc AUTHORS.md README.md
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc README.md CHANGELOG.md
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/BCG729/
%{_libdir}/pkgconfig/lib%{name}.pc


%changelog
* Fri Dec 27 2024 wally <wally> 1.1.1-3.mga10
+ Revision: 2130591
- add patches from upstream to improve CMake support

* Thu Mar 17 2022 umeabot <umeabot> 1.1.1-2.mga9
+ Revision: 1795377
- Mageia 9 Mass Rebuild

* Mon Nov 23 2020 wally <wally> 1.1.1-1.mga8
+ Revision: 1648751
- new version 1.1.1

* Wed Feb 12 2020 umeabot <umeabot> 1.0.4-3.mga8
+ Revision: 1510666
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Fri Sep 21 2018 umeabot <umeabot> 1.0.4-2.mga7
+ Revision: 1295350
- Mageia 7 Mass Rebuild

* Sun Dec 31 2017 wally <wally> 1.0.4-1.mga7
+ Revision: 1188374
- imported package bcg729

